[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResource.CompareContents

Compares the contents of the resource to the contents of another one

## Declaration

Source position: resource.pp line 162

`public function TAbstractResource.CompareContents(`
`aResource: TAbstractResource`
`):Boolean; virtual;`

## Arguments

`aResource` |  | The resource to compare to this one

## Function result

True if the contents of the two resources are the same

## Description

This methods compares the contents of the resource with the ones of aResource. If they are of the same length and their contents are the same, true is returned, false otherwise.

Usually this methods compares the contents of the two RawData streams, calling TResourceDataStream.Compare, but descendent classes can implement a different algorithm.

## See also

TResourceDataStream.Compare |  | Compares the stream to another one